%global gopath /gocode
%global pkg_src_path /src/github.com/gofrs/flock

#Debug info is not necessary for this rpm package
%define debug_package %{nil}

Name:           flock
Version:        0.8.1 
Release:        1%{?dist}
Summary:        Go thread-safe interface for file locking

License:        BSD-3-Clause
URL:            https://github.com/gofrs/flock
Source0:        %{name}-%{version}.tar.gz
Group:          Development/go
BuildArch:      noarch

Requires:  golang

%description
Go thread-safe interface for file locking

%prep
%setup -q -n %{name}-%{version}

%build
#Not needed
#Go module only needs to be installed in the GOPATH

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_datadir}%{gopath}%{pkg_src_path}
cp -r ./* %{buildroot}%{_datadir}%{gopath}%{pkg_src_path}/
chmod 755 %{buildroot}%{_datadir}%{gopath}%{pkg_src_path}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{_datadir}%{gopath}%{pkg_src_path}/README.md
%license %{_datadir}%{gopath}%{pkg_src_path}/LICENSE
%{_datadir}%{gopath}%{pkg_src_path}/*.go
%{_datadir}%{gopath}%{pkg_src_path}/*.yml

%changelog
* Wed Mar 9 2022 Diego Martinez de Dios <diego.m.martinez@oracle.com> - 0.8.1-1
- Initial build 